<?php
/*
Plugin Name: Image Maker Bot
Plugin URI: http://wordpress.com
Description: Image Maker Bot wordpress plugin.
Version: 1.0
Author: Image Maker Bot 
Author URI: http://wordpress.com
*/

include dirname(__FILE__) . '/media-image-filter/media-image-filter.php';
// include dirname(__FILE__) . '/pieces.php';

global $wpdb, $wp_version;
define("WP_PIECES_TABLE", $wpdb->prefix . "pieces_plugin");
define('WP_PIECES_SITE', 'http://www.megalocode.com/pieces-wordpress');
if (!defined( 'WP_PIECES_ADMIN_URL'))
	define( 'WP_PIECES_ADMIN_URL', get_option('siteurl') . '/wp-admin/options-general.php?page=pieces-admin');
if (!defined('WP_PIECES_PLUGIN_BASE_PATH'))
	define('WP_PIECES_PLUGIN_BASE_PATH', WP_PLUGIN_URL . "/" . trim(dirname(plugin_basename(__FILE__)), '/'));



function piecesInstall() 
{
	global $wpdb;
	if($wpdb->get_var("show tables like '". WP_PIECES_TABLE . "'") != WP_PIECES_TABLE) 
	{
		$sql = "
			CREATE TABLE " . WP_PIECES_TABLE . " (
			id_pieces mediumint(9) NOT NULL AUTO_INCREMENT,
			selector TEXT NOT NULL,
			animations TEXT NOT NULL,
			PRIMARY KEY (`id_pieces`));";
		$wpdb->query($sql);
	}
}



function piecesAdminOptions() 
{
	global $wpdb;
	$current_page = isset($_GET['ac']) ? $_GET['ac'] : '';
	switch($current_page)
	{
		case 'edit':
			include('pieces_edit.php');
			break;
		case 'add':
			include('pieces_add.php');
			break;
		default:
			include('pieces_list.php');
			break;
	}
}



function piecesAddToMenu() 
{
	add_options_page(
		'Pieces',
		'Pieces',
		'manage_options',
		'pieces-admin',
		'piecesAdminOptions'
	);
}

if (is_admin()) 
{
	add_action('admin_menu', 'piecesAddToMenu');
}




function piecesGetBehaviors() 
{
	global $wpdb;
	
	$sSql = "select * from " . WP_PIECES_TABLE;
	$data = $wpdb->get_results($sSql);
	if (!empty($data))
	{
		echo "<script>";
		echo '$j(document).ready(function(){';
		foreach ($data as $row) 
		{
			echo '$j("' . $row->selector . '").pieces(' . stripcslashes($row->animations) . ')';
		}
		echo "});";
		echo "</script>";
	}
}

add_action ('wp_head', 'piecesGetBehaviors');



add_action('init', 'addPiecesButton');

function addPiecesButton() {
   if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )
   {
		add_filter('mce_external_plugins', 'addPiecesPlugin');
		add_filter('mce_buttons', 'registerPiecesButton');
   }
}

function registerPiecesButton($buttons) {
   array_push($buttons, "pieces");
   return $buttons;
}

function addPiecesPlugin($plugin_array) {
   $plugin_array['pieces'] = WP_PIECES_PLUGIN_BASE_PATH . '/configurator.js';
   return $plugin_array;
}




function piecesAddJs() 
{
	wp_enqueue_script('jquery');
	wp_enqueue_script('tweenmax', WP_PIECES_PLUGIN_BASE_PATH.'/assets/js/TweenMax.min.js');
	wp_enqueue_script('pieces_animations', WP_PIECES_PLUGIN_BASE_PATH.'/js/pieces.wp.animations.js');
	wp_enqueue_script('pieces', WP_PIECES_PLUGIN_BASE_PATH.'/js/pieces.wp.min.js');
}



function piecesDeactivation() 
{
}


add_action('wp_enqueue_scripts', 'piecesAddJs');
register_activation_hook(__FILE__, 'piecesInstall');
register_deactivation_hook(__FILE__, 'piecesDeactivation');


?>